This discussion is archived
4 Replies Latest reply: Nov 28, 2012 2:22 PM by Hussein Sawwan-Oracle RSS

Oracle EBS 11.5.9 and Database 9i

976810 Newbie
Currently Being Moderated
Hello,

We have a situation,

We want to use RAID COntroller on Pseries Machine which requires that we must have AIX 5.3 TL 003
But if we install AIX 5.3 TL we get with it APAR IY68989 and APAR IY73497
After Cloning OR upgradation of OS mainentance level , user is getting " ORA-01402 : no data found "

ORA-01402 : no data found


OR

'FRM-40815:Variable GLOBAL.LLL(xx) does not exist'

http://bp2.blogger.com/_8k4nP9qzzEI/SH7qIaAth9I/AAAAAAAAAAc/c4d7j1YJxOw/s320/No_data_found.JPG

Direct to the point, the issue is

1- After the installation and the post installation tasks went successfully I tried to create a user from sysadmin responsibility and I faced the following error when trying to display responsibilities to that user.

ORA-01403: no data foundFRM-40502: ORACLE error: unable to read list of values.
FRM-40815: Variable GLOBAL.LLL(xx) does not exist.
This problem seems to affect several different LOVs.

According to metalink note 338469.1 the problem is related to IBM OS security patches (APAR IY68989 and APAR IY73497) and there are 2 solutions for this problem
Solution
1. Please execute the following OS command to check if patches APAR IY68989 and APAR IY73497
# instfix -ik IY68989
# instfix -ik IY73497
2. Workaround:
Revert the patches (APAR IY68989 and APAR IY73497 ) applied in the system
Note :- If the status of the patch is "applied" , then it can be rolled back ,but if it is "committed" then it can not be rolled back
3. Permanent Solution:
If the above patches are present in your system , please do a Help / Info about in any form, you will get the Oracle Forms version like 6.0.8.x.x .
As per your forms version, please apply the appropriate patch from one listed below
For Release 11i
o     Patch: 4689213 (forms version 6.0.8.24.x i.e Patch-set 15)
o     Patch: 4670400 (forms version 6.0.8.25.x i.e Patch-set 16)
o     Patch: 4689364 (forms version6.0.8.26.x i.e Patch-set 17)
o     W.r.t internal Bug 4698290 , fix for this is included in Patch-set 18 (i.e 6.0.8.27.x ) and later
For R12
o     Patch: 4698290 (Forms version 10.1.2.0.2)
o     W.r.t internal Bug 4699197 , fix for this is included in forms version 10.1.2.2.0


However , the version of forms which we have is :
$ which f60gen
/oratec/prodora/8.0.6/bin/f60gen
$ f60gen |grep Forms|grep Version
Forms 6.0 (Form Compiler) Version 6.0.8.21.3 (Production)

So there is no patch for it from ORACLE or AIX

Upgrade of forms is not a possibility because we have too many customized forms.

Now,

1) Anyone has a solution for this problem ?

2) Will 11.5.9 work with AIX 6.1 or AIX 7.1 ?
  • 1. Re: Oracle EBS 11.5.9 and Database 9i
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    Upgrade of forms is not a possibility because we have too many customized forms.

    Now,

    1) Anyone has a solution for this problem ?
    No, except you upgrade your developer patchset which should not be an issue for the customized forms you have.
    2) Will 11.5.9 work with AIX 6.1 or AIX 7.1 ?
    It is not certified -- Please check the certification matrix for details.

    Thanks,
    Hussein
  • 2. Re: Oracle EBS 11.5.9 and Database 9i
    976810 Newbie
    Currently Being Moderated
    Thank you ya hussein for your reply.

    For the second point which you mentioned that oracle ebs 11.5.9 is not certified for AIX 6.1 / AIX 7.1 , I haven't tried it , but for 5.3 TL 00 it is not certified as well but it is working because those APARs are not in TL 00 , TL 01 , TL 02 , however the TL 03 has those APARs and the problem that only from TL 03 has those drivers for RAID Controller.

    No, except you upgrade your developer patchset which should not be an issue for the customized forms you have.

    Can you please explain more in detail about this option and i will be thankful. Appreciate your help.
  • 3. Re: Oracle EBS 11.5.9 and Database 9i
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    No, except you upgrade your developer patchset which should not be an issue for the customized forms you have.

    Can you please explain more in detail about this option and i will be thankful. Appreciate your help.
    Please see (Upgrading Developer 6i with Oracle Applications 11i [ID 125767.1]) for the steps you need to follow to upgrade your developer patchset.

    Your custom reports should work find after this upgrade, and in case you have any issues you can try to compile those forms again -- How to Generate Form, Library and Menu for Oracle Applications (11i and R12) [ID 130686.1]

    Thanks,
    Hussein
  • 4. Re: Oracle EBS 11.5.9 and Database 9i
    976810 Newbie
    Currently Being Moderated
    Okay, thanks, I will try on the test environment and post the results. This is will definitely help others.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points